<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Patrocinador</title>
</h:head>
<body>
	<f:view>
		<!-- Criando botões de comando e navegação -->
		<h:form>
			<h:commandButton action="createPatrocinador"
				value="Adicionar patrocinador" />
			<h:commandButton action="changeOrDeletePatrocinador"
				value="Atualizar ou Remover" />
			<h:commandButton action="/pessoa" value="voltar" />
		</h:form>


		<!-- Fazendo aparecer todas as pessoas -->
		<p:dataTable var="patrocinador"
			value="#{patrocinadorBean.listaDePatrocinadores}">
			<p:column headerText="CPF">
				<h:outputText value="#{patrocinador.cpf}" />
			</p:column>

			<p:column headerText="Nome">
				<h:outputText value="#{patrocinador.nome}" />
			</p:column>

			<p:column headerText="Verba disponível para patrocínio">
				<h:outputText value="#{patrocinador.verbaAInvestir}" />
			</p:column>


		</p:dataTable>


	</f:view>
</body>
</html>